eoValueParam(3)

NAME
eoValueParam - eoValueParam<ValueType>: templatized derivation of eoParam.

SYNOPSIS

#include <eoParam.h>

Inherits eoParam.

Inherited by eoPerf2Worth< EOT, EOT::Fitness >, and eoPerf2Worth< EOT, WorthType >.

  Public Member Functions
eoValueParam (void)
Construct a Param.
eoValueParam (ValueType _defaultValue, std::string _longName, std::string _description='No description', char _shortHand=0, bool _required=false)
Construct a Param.
ValueType & value ()
Parameter value.
const ValueType & value () const
Parameter value.
std::string getValue (void) const
Pure virtual function to get the value out.
void setValue (const std::string &_value)
Pure virtual function to set the value.

  Protected Attributes
ValueType repValue

Detailed Description

  template<class ValueType> class eoValueParam< ValueType >
eoValueParam<ValueType>: templatized derivation of eoParam. Can be used to contain any scalar value type. It makes use of std::strstream to get and set values. This should be changed to std::stringstream when that class is available in g++.

Note also that there is a template specialization for std::pair<double, double> and for std::vector<double>. These stream their contents delimited with whitespace.

Definition at line 136 of file eoParam.h.

Constructor & Destructor Documentation

  template<class ValueType> eoValueParam< ValueType >::eoValueParam (ValueType _defaultValue, std::string _longName, std::string _description = 'No description', char _shortHand = 0, bool _required = false) [inline]

Construct a Param.

Parameters:
    _defaultValue The default value
    _longName Long name of the argument
    _description Description of the parameter. What is useful for.
    _shortName Short name of the argument (Optional)
    _required If it is a necessary parameter or not

Definition at line 151 of file eoParam.h.

Member Function Documentation

  template<class ValueType> ValueType& eoValueParam< ValueType >::value () [inline]

Parameter value.

Returns:
    parameter value

Definition at line 166 of file eoParam.h.

Referenced by eoNoPerf2Worth< EOT >::operator()(), eoFileSnapshot::operator()(), eoFDCStat< EOT >::operator()(), and eoParser::setStopOnUnknownParam().

  template<class ValueType> const ValueType& eoValueParam< ValueType >::value () const [inline]

Parameter value.

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Returns:
    parameter value

Definition at line 175 of file eoParam.h.

Author

Generated automatically by Doxygen for EO from the source code.